# $Revision: 1.75.4.2 $, $Date: 2011/07/01 22:52:31 $
Summary:	Unicode character map
Summary(pl.UTF-8):	Mapa znaków unikodowych
Name:		gucharmap
Version:	2.32.1
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gucharmap/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	84327620a0234fa26c0a08fefea2aec8
URL:		http://live.gnome.org/Gucharmap
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.12.2
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gucharmap is a featureful unicode character map.

%description -l pl.UTF-8
Gucharmap jest wartościową mapą znaków unikodowych.

%package libs
Summary:	gucharmap library
Summary(pl.UTF-8):	Biblioteka gucharmap
Group:		X11/Libraries
Requires:	pango >= 1:1.20.0

%description libs
This package contains gucharmap library.

%description libs -l pl.UTF-8
Pakiet ten zawiera bibliotekę gucharmap.

%package devel
Summary:	Headers for gucharmap
Summary(pl.UTF-8):	Pliki nagłówkowe gucharmap
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.24.0
Requires:	gtk+2-devel >= 2:2.18.0

%description devel
The gucharmap-devel package includes the header files that you will
need to use gucharmap.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do kompilacji programów
używających gucharmap.

%package static
Summary:	Static gucharmap libraries
Summary(pl.UTF-8):	Statyczne biblioteki gucharmap
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of gucharmap libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek gucharmap.

%package apidocs
Summary:	gucharmap library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gucharmap
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gucharmap library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gucharmap.

%prep
%setup -q
%{__sed} -i -e 's/^en@shaw//' po/LINGUAS
%{__rm} -f po/en@shaw.po

%build
%{__gnome_doc_prepare}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--disable-scrollkeeper \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gucharmap.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall gucharmap.schemas

%postun
%scrollkeeper_update_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/charmap
%attr(755,root,root) %{_bindir}/gucharmap
%attr(755,root,root) %{_bindir}/gnome-character-map
%{_sysconfdir}/gconf/schemas/gucharmap.schemas
%{_desktopdir}/gucharmap.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgucharmap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgucharmap.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgucharmap.so
%{_includedir}/gucharmap-2.0
%{_pkgconfigdir}/gucharmap-2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgucharmap.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gucharmap-2.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gucharmap.spec,v $
Revision 1.75.4.2  2011/07/01 22:52:31  lisu
- typo

Revision 1.75.4.1  2011/07/01 22:50:47  lisu
- dop libtool file
- rel 3

Revision 1.75  2011/02/04 18:23:54  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.74  2010/11/16 18:09:30  megabajt
- updated to 2.32.1

Revision 1.73  2010/09/30 12:53:10  megabajt
- updated to 2.32.0

Revision 1.72  2010/06/22 19:43:56  megabajt
- updated to 2.30.2

Revision 1.71  2010/04/26 19:15:49  megabajt
- updated to 2.30.1

Revision 1.70  2010/03/29 16:50:58  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.69.2.1  2010/03/13 17:51:26  megabajt
- updated to 2.29.92
- added -apidocs subpackage

Revision 1.69  2010/01/30 11:37:11  megabajt
- release 2

Revision 1.68  2009/12/18 08:51:29  megabajt
- updated to 2.28.2

Revision 1.67  2009/11/29 00:57:53  sparky
- BR: docbook-dtd412-xml, libxml2-progs

Revision 1.66  2009/11/13 23:21:13  megabajt
- updated to 2.28.1

Revision 1.65  2009/11/12 13:03:24  patrys
- rebuild
- rel 2

Revision 1.64  2009/09/25 17:43:15  megabajt
- updated to 2.28.0

Revision 1.63  2009/07/02 15:28:38  megabajt
- updated to 2.26.3.1

Revision 1.62  2009/05/19 19:55:00  megabajt
- updated to 2.26.2

Revision 1.61  2009/04/13 22:25:59  megabajt
- updated to 2.26.1

Revision 1.60  2009/03/15 18:01:59  megabajt
- updated to 2.26.0

Revision 1.59  2009/01/15 14:06:30  megabajt
- updated to 2.24.3

Revision 1.58  2008/11/25 19:09:40  megabajt
- updated to 2.24.2

Revision 1.57  2008/11/10 11:04:36  megabajt
- release 2

Revision 1.56  2008/10/31 12:18:32  megabajt
- updated to 2.24.1.1

Revision 1.55  2008/10/22 20:38:56  megabajt
- updated to 2.24.1

Revision 1.54  2008/10/02 22:12:45  qwiat
- merge from DEVEL

Revision 1.52.2.3  2008/10/02 22:10:05  qwiat
- up to 2.24

Revision 1.52.2.2  2008/08/31 15:16:47  patrys
- 2.23.91

Revision 1.53  2008/06/30 13:08:59  megabajt
- updated to 2.22.3

Revision 1.52.2.1  2008/06/17 12:37:27  patrys
- 2.23.4

Revision 1.52  2008/04/07 12:54:48  megabajt
- updated to 2.22.1

Revision 1.51  2008-03-25 16:43:04  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.50.2.2  2008-02-10 23:16:23  megabajt
- updated to 2.21.90
- removed unnecessary -desktop.patch
- more verbose files

Revision 1.50.2.1  2008-01-15 15:49:47  patrys
- 2.21.5

Revision 1.50  2007-11-04 23:10:41  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.49  2007/09/18 14:56:23  megabajt
- updated to 1.10.1

Revision 1.48  2007/03/13 11:22:24  megabajt
- updated to 1.10.0

Revision 1.47  2007/03/11 09:45:45  megabajt
- updated to 1.9.0 (new soname)

Revision 1.46  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.44  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.43  2006/09/05 21:22:30  grzegol
- 1.8.0

Revision 1.42  2006/08/09 19:27:59  freetz
- rel.2, updated deps

Revision 1.41  2006/07/26 17:31:49  freetz
- no locale already removed, NOTE: soname breakage

Revision 1.40  2006/07/26 16:57:24  freetz
- 1.7.0, use rpm macros

Revision 1.39  2006/07/13 17:24:36  freetz
- rel.6, updated deps, --as-needed for LDFLAGS

Revision 1.38  2006/06/08 19:28:22  freetz
- rel.5, added configure patch to allow proper creation of config.status,
  bleeding edge deps, update icon cache

Revision 1.37  2006/05/27 00:21:43  qboosh
- merged deps update from AC-branch

Revision 1.35.4.2  2006/05/18 22:21:09  baggins
- release 4
- strict reqs

Revision 1.35.4.1  2006/05/15 17:45:23  baggins
- merged from HEAD

Revision 1.36  2006/04/02 10:29:48  freetz
- merged from DEVEL

Revision 1.35.2.8  2006/03/27 19:37:25  qboosh
- fixed typo

Revision 1.35.2.7  2006/03/27 17:48:32  glen
-  typo?

Revision 1.35.2.6  2006/03/27 17:31:13  freetz
- fixed R: in -devel (oops), rel.3

Revision 1.35.2.5  2006/03/27 17:26:19  freetz
- libs subpkg, rel.2

Revision 1.35.2.4  2006/03/13 08:13:12  freetz
- 1.6.0

Revision 1.35.2.3  2006/02/28 15:02:48  freetz
- 1.5.3, updated file list

Revision 1.35.2.2  2006/02/14 07:53:14  freetz
- 1.5.2, redefine pixmapdir for now

Revision 1.35.2.1  2006/01/29 21:33:57  freetz
- 1.5.1

Revision 1.35  2005/09/06 20:30:25  freetz
- 1.4.4, use gnome-doc-utils

Revision 1.34  2005/06/18 19:47:48  zbyniu
- BR: gettext-devel, intltool, pkgconfig, scrollkeeper

Revision 1.33  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.32  2005/04/11 16:13:43  freetz
- new style macros, updated BRs (removed bogus post gtk+2 R), rel.3

Revision 1.31  2005/03/20 21:12:22  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.30  2005/03/10 12:12:54  paladine
- updated to 1.4.3
- proper license

Revision 1.29  2004/12/03 14:47:08  paladine
- added desktop patch, rel 2, STBR

Revision 1.28  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.27  2004/10/28 06:45:40  aflinta
- up to version 1.4.2

Revision 1.26  2004/08/17 13:31:24  ankry
- rel. 2 to rebuild

Revision 1.25  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.24  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.23  2004/03/31 13:09:51  grzegol
- updated to 1.4.1

Revision 1.22  2004/03/24 12:05:23  grzegol
- merged from DEVEL and updated to 1.4.0

Revision 1.21.2.1  2004/03/16 12:08:53  grzegol
- updated to 1.3.2 (on DEVEL because it requires glib2 >= 2.3.0)

Revision 1.21  2004/03/04 14:10:39  grzegol
- readded -static subpackage
- rel. 2

Revision 1.20  2004/03/04 09:33:19  qboosh
- strict dep, no macros in Obsoletes

Revision 1.19  2004/03/04 08:42:49  aflinta
- up to version 1.3.1, removed destdir patch, added localenames patch no -> nb

Revision 1.18  2004/02/06 13:51:46  grzegol
- updated to 1.3.0
- removed outdated desktop patch

Revision 1.17  2003/12/12 22:28:05  grzegol
- added desktop patch (adapt .desktop file to standard)

Revision 1.16  2003/11/21 11:08:27  wiget
- 1.2.0

Revision 1.15  2003/09/08 22:36:30  grzegol
- updated to 1.0.0
- added R(post,postun): gtk+2

Revision 1.14  2003/08/22 09:41:32  trojan
- updated to 0.9.0

Revision 1.13  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.12  2003/06/28 16:19:20  trojan
- added --disable-gtk-immodules

Revision 1.11  2003/06/24 22:18:01  qboosh
- R(): ldconfig

Revision 1.10  2003/06/20 09:40:06  wiget
- generate gtk.immodules in %%post/%%postun
- release 2

Revision 1.9  2003/06/11 05:36:45  aflinta
- version 0.8.0

Revision 1.8  2003/05/28 12:59:03  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:48:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/20 11:11:32  qboosh
- BR: ac,am,lt

Revision 1.5  2003/05/19 12:41:33  aflinta
- version 0.6.1, need to fix /etc/gtk-2.0/gtk.immodules contents - not to include build paths

Revision 1.4  2003/05/05 11:29:37  qboosh
- missing dir

Revision 1.3  2003/05/02 05:05:15  aflinta
- version 0.6.0

Revision 1.2  2003/03/27 22:06:20  qboosh
- cleanup

Revision 1.1  2003/03/16 21:31:36  grzegol
- new
